Bug 999750 - some thing like this :Could not write method AtkObject.get_attributes: No ArgType for AtkAttributeSet* during make
some thing like this :Could not write method AtkObject.get_attributes: No Arg...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 22:50 EDT by Chen Chen
Modified: 2016-07-19 06:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:17:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Chen 2013-08-21 22:50:02 EDT
Description of problem:
I have installed some depends 
sudo yum install freetype-devel fontconfig-devel numpy libglade atk-devel pango-devel cairo-gobject-devel gdk-pixbuf2-devel libXi-devel at-spi2-atk-devel python3-gobject pygobject3-devel pygobject2-devel libpng-devel libxml libxml2-devel xorg-x11-fonts* gcc glibc-headers gcc-c++ at-spi-devel at-spi2-core-devel pango libxslt-devel bison flex sudo yum install orc-devel gstreamer-plugins-base-devel.x86_64 gstreamer-devel sonata
and istalled below depends from source pacages with sequence
glib->gtk+->libglade->pygtk
and here is the bug text
[cc@localhost pygtk-2.24.0]$ make
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gtk  -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT atk_la-atkmodule.lo -MD -MP -MF .deps/atk_la-atkmodule.Tpo -c -o atk_la-atkmodule.lo `test -f 'atkmodule.c' || echo './'`atkmodule.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I./gtk -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT atk_la-atkmodule.lo -MD -MP -MF .deps/atk_la-atkmodule.Tpo -c atkmodule.c  -fPIC -DPIC -o .libs/atk_la-atkmodule.o
mv -f .deps/atk_la-atkmodule.Tpo .deps/atk_la-atkmodule.Plo
(cd .\
 && /usr/bin/python /usr/share/pygobject/2.0/codegen/codegen.py \
    --py_ssize_t-clean \
    --register pango-types.defs \
    --register atk-types.defs \
    --register gtk/gtk-base-types.defs \
    --override atk.override \
    --prefix pyatk atk.defs) > ./gen-atk.c \
&& cp ./gen-atk.c ./atk.c \
&& rm -f ./gen-atk.c
Could not write method AtkObject.get_attributes: No ArgType for AtkAttributeSet*
Could not write method AtkObject.connect_property_change_handler: No ArgType for AtkPropertyChangeHandler*
Could not write method AtkObject.notify_state_change: No ArgType for AtkState
Could not write method AtkObject.initialize: No ArgType for gpointer
Could not write virtual accessor method AtkObject.get_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkObject.connect_property_change_handler: No ArgType for AtkPropertyChangeHandler*
Could not write virtual accessor method AtkObject.initialize: No ArgType for gpointer
Could not write virtual accessor method AtkObject.children_changed: No ArgType for gpointer
Could not write virtual accessor method AtkObject.property_change: No ArgType for AtkPropertyValues*
Could not write virtual accessor method AtkObject.active_descendant_changed: No ArgType for gpointer*
Could not write virtual proxy AtkObject.get_attributes: No ArgType for AtkAttributeSet*
Could not write virtual proxy AtkObject.connect_property_change_handler: No ArgType for AtkPropertyChangeHandler*
Could not write virtual proxy AtkObject.initialize: No ArgType for gpointer
Could not write virtual proxy AtkObject.children_changed: No ArgType for gpointer
Could not write virtual proxy AtkObject.property_change: No ArgType for AtkPropertyValues*
Could not write virtual proxy AtkObject.active_descendant_changed: No ArgType for gpointer*
Warning: generating old-style constructor for:atk_no_op_object_new
Could not write method AtkComponent.add_focus_handler: No ArgType for AtkFocusHandler
Could not write virtual accessor method AtkComponent.add_focus_handler: No ArgType for AtkFocusHandler
Could not write virtual accessor method AtkComponent.get_extents: No ArgType for gint*
Could not write virtual accessor method AtkComponent.get_position: No ArgType for gint*
Could not write virtual accessor method AtkComponent.get_size: No ArgType for gint*
Could not write interface proxy AtkComponent.add_focus_handler: No ArgType for AtkFocusHandler
Could not write interface proxy AtkComponent.get_extents: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkComponent.get_position: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkComponent.get_size: cannot use int* parameter with direction 'None'
Could not write method AtkDocument.get_document: No ArgType for gpointer
Could not write method AtkDocument.get_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkDocument.get_document: No ArgType for gpointer
Could not write virtual accessor method AtkDocument.get_document_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkDocument.get_document_attribute_value: No ArgType for G_CONST_RETURNgchar*
Could not write interface proxy AtkDocument.get_document: No ArgType for gpointer
Could not write interface proxy AtkDocument.get_document_attributes: No ArgType for AtkAttributeSet*
Could not write interface proxy AtkDocument.get_document_attribute_value: No ArgType for G_CONST_RETURNgchar*
Could not write virtual accessor method AtkEditableText.set_run_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkEditableText.insert_text: No ArgType for gint*
Could not write interface proxy AtkEditableText.set_run_attributes: No ArgType for AtkAttributeSet*
Could not write interface proxy AtkEditableText.insert_text: cannot use int* parameter with direction 'None'
Could not write virtual accessor method AtkImage.get_image_position: No ArgType for gint*
Could not write virtual accessor method AtkImage.get_image_size: No ArgType for gint*
Could not write interface proxy AtkImage.get_image_position: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkImage.get_image_size: cannot use int* parameter with direction 'None'
Could not write method AtkStreamableContent.get_stream: No ArgType for GIOChannel*
Could not write virtual accessor method AtkStreamableContent.get_stream: No ArgType for GIOChannel*
Could not write virtual accessor method AtkStreamableContent.get_uri: No ArgType for G_CONST_RETURNgchar*
Could not write interface proxy AtkStreamableContent.get_stream: No ArgType for GIOChannel*
Could not write interface proxy AtkStreamableContent.get_uri: No ArgType for G_CONST_RETURNgchar*
Could not write virtual accessor method AtkTable.get_selected_columns: No ArgType for gint**
Could not write virtual accessor method AtkTable.get_selected_rows: No ArgType for gint**
Could not write interface proxy AtkTable.get_selected_columns: No ArgType for gint**
Could not write interface proxy AtkTable.get_selected_rows: No ArgType for gint**
Could not write virtual accessor method AtkText.get_text_after_offset: No ArgType for gint*
Could not write virtual accessor method AtkText.get_text_at_offset: No ArgType for gint*
Could not write virtual accessor method AtkText.get_text_before_offset: No ArgType for gint*
Could not write virtual accessor method AtkText.get_run_attributes: No ArgType for gint*
Could not write virtual accessor method AtkText.get_default_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkText.get_character_extents: No ArgType for gint*
Could not write virtual accessor method AtkText.get_selection: No ArgType for gint*
Could not write virtual accessor method AtkText.get_range_extents: No ArgType for AtkTextRectangle*
Could not write virtual accessor method AtkText.get_bounded_ranges: No ArgType for AtkTextRectangle*
Could not write interface proxy AtkText.get_text_after_offset: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_text_at_offset: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_character_at_offset: No ArgType for gunichar
Could not write interface proxy AtkText.get_text_before_offset: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_run_attributes: No ArgType for AtkAttributeSet*
Could not write interface proxy AtkText.get_default_attributes: No ArgType for AtkAttributeSet*
Could not write interface proxy AtkText.get_character_extents: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_selection: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_range_extents: No ArgType for AtkTextRectangle*
Could not write interface proxy AtkText.get_bounded_ranges: No ArgType for AtkTextRange**
Could not write method AtkValue.get_minimum_increment: No ArgType for GValue*
Could not write virtual accessor method AtkValue.get_current_value: No ArgType for GValue*
Could not write virtual accessor method AtkValue.get_maximum_value: No ArgType for GValue*
Could not write virtual accessor method AtkValue.get_minimum_value: No ArgType for GValue*
Could not write virtual accessor method AtkValue.set_current_value: No ArgType for const-GValue*
Could not write virtual accessor method AtkValue.get_minimum_increment: No ArgType for GValue*
Could not write interface proxy AtkValue.get_current_value: No ArgType for GValue*
Could not write interface proxy AtkValue.get_maximum_value: No ArgType for GValue*
Could not write interface proxy AtkValue.get_minimum_value: No ArgType for GValue*
Could not write interface proxy AtkValue.set_current_value: No ArgType for const-GValue*
Could not write interface proxy AtkValue.get_minimum_increment: No ArgType for GValue*
Could not write function add_focus_tracker: No ArgType for AtkEventListener
Could not write function focus_tracker_init: No ArgType for AtkEventListenerInit
Could not write function add_global_event_listener: No ArgType for GSignalEmissionHook
Could not write function add_key_event_listener: No ArgType for AtkKeySnoopFunc
Warning: Constructor for AtkNoOpObject needs to be updated to new API
         See http://live.gnome.org/PyGTK_2fWhatsNew28#update-constructors
Warning: Constructor for AtkRelation needs to be updated to new API
         See http://live.gnome.org/PyGTK_2fWhatsNew28#update-constructors
***INFO*** The coverage of global functions is 85.71% (24/28)
***INFO*** The coverage of methods is 94.48% (154/163)
***INFO*** The coverage of virtual proxies is 82.86% (29/35)
***INFO*** The coverage of virtual accessors is 77.27% (119/154)
***INFO*** The coverage of interface proxies is 74.79% (89/119)
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gtk  -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT atk_la-atk.lo -MD -MP -MF .deps/atk_la-atk.Tpo -c -o atk_la-atk.lo `test -f 'atk.c' || echo './'`atk.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I./gtk -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT atk_la-atk.lo -MD -MP -MF .deps/atk_la-atk.Tpo -c atk.c  -fPIC -DPIC -o .libs/atk_la-atk.o
atk.c: 在函数‘_wrap_atk_hyperlink_is_selected_link’中:
atk.c:457:5: 警告:不建议使用‘atk_hyperlink_is_selected_link’(声明于 /usr/include/atk-1.0/atk/atkhyperlink.h:102) [-Wdeprecated-declarations]
     ret = atk_hyperlink_is_selected_link(ATK_HYPERLINK(self->obj));
     ^
atk.c: 在函数‘_wrap_atk_object_get_layer’中:
atk.c:1478:5: 警告:不建议使用‘atk_object_get_layer’(声明于 /usr/include/atk-1.0/atk/atkobject.h:578):Use 'atk_component_get_layer' instead [-Wdeprecated-declarations]
     ret = atk_object_get_layer(ATK_OBJECT(self->obj));
     ^
atk.c: 在函数‘_wrap_atk_object_get_mdi_zorder’中:
atk.c:1489:5: 警告:不建议使用‘atk_object_get_mdi_zorder’(声明于 /usr/include/atk-1.0/atk/atkobject.h:580):Use 'atk_component_get_mdi_zorder' instead [-Wdeprecated-declarations]
     ret = atk_object_get_mdi_zorder(ATK_OBJECT(self->obj));
     ^
atk.c: 在函数‘_wrap_atk_streamable_content_get_uri’中:
atk.c:10263:9: 警告:assignment discards ‘const’ qualifier from pointer target type [默认启用]
     ret = atk_streamable_content_get_uri(ATK_STREAMABLE_CONTENT(self->obj), mime_type);
         ^
mv -f .deps/atk_la-atk.Tpo .deps/atk_la-atk.Plo
/bin/sh ./libtool --tag=CC   --mode=link gcc -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -module -avoid-version  -export-symbols-regex initatk  -o atk.la -rpath /usr/local/lib64/python2.7/site-packages/gtk-2.0 atk_la-atkmodule.lo atk_la-atk.lo -latk-1.0 -lgobject-2.0 -lglib-2.0
libtool: link: /usr/bin/nm -B  .libs/atk_la-atkmodule.o .libs/atk_la-atk.o   | sed -n -e 's/^.*[         ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[         ][      ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | /usr/bin/sed 's/.* //' | sort | uniq > .libs/atk.exp
libtool: link: /usr/bin/grep -E -e "initatk" ".libs/atk.exp" > ".libs/atk.expT"
libtool: link: mv -f ".libs/atk.expT" ".libs/atk.exp"
libtool: link: echo "{ global:" > .libs/atk.ver
libtool: link:  cat .libs/atk.exp | sed -e "s/\(.*\)/\1;/" >> .libs/atk.ver
libtool: link:  echo "local: *; };" >> .libs/atk.ver
libtool: link:  gcc -shared  .libs/atk_la-atkmodule.o .libs/atk_la-atk.o   -latk-1.0 -lgobject-2.0 -lglib-2.0    -Wl,-soname -Wl,atk.so -Wl,-version-script -Wl,.libs/atk.ver -o .libs/atk.so
libtool: link: ( cd ".libs" && rm -f "atk.la" && ln -s "../atk.la" "atk.la" )
ln -s .libs/atk.so atk.so || true
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gtk  -I/usr/lib64/python2.7/site-packages/numpy/core/include -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT pango_la-pangomodule.lo -MD -MP -MF .deps/pango_la-pangomodule.Tpo -c -o pango_la-pangomodule.lo `test -f 'pangomodule.c' || echo './'`pangomodule.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I./gtk -I/usr/lib64/python2.7/site-packages/numpy/core/include -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT pango_la-pangomodule.lo -MD -MP -MF .deps/pango_la-pangomodule.Tpo -c pangomodule.c  -fPIC -DPIC -o .libs/pango_la-pangomodule.o
mv -f .deps/pango_la-pangomodule.Tpo .deps/pango_la-pangomodule.Plo
(cd .\
 && /usr/bin/python /usr/share/pygobject/2.0/codegen/codegen.py \
    --py_ssize_t-clean \
    --register pango-types.defs \
    --register atk-types.defs \
    --register gtk/gtk-base-types.defs \
    --override pango.override \
    --prefix pypango pango.defs) > ./gen-pango.c \
&& cp ./gen-pango.c ./pango.c \
&& rm -f ./gen-pango.c
Could not write getter for PangoGlyphString.glyphs: No ArgType for PangoGlyphInfo*
Could not write getter for PangoGlyphString.log_clusters: No ArgType for gint*
Could not write getter for PangoItem.analysis_extra_attrs: No ArgType for GSList*
Could not write method PangoLayoutIter.get_run: No ArgType for PangoLayoutRun*
Could not write method PangoLayoutIter.get_run_readonly: No ArgType for PangoLayoutRun*
Could not write method PangoLayoutLine.get_x_ranges: No ArgType for int**
Could not write method PangoMatrix.transform_point: No ArgType for double*
Could not write method PangoMatrix.transform_distance: No ArgType for double*
Could not write method PangoMatrix.transform_rectangle: No ArgType for PangoRectangle*
Could not write method PangoMatrix.transform_pixel_rectangle: No ArgType for PangoRectangle*
Could not write virtual accessor method PangoFont.get_coverage: No ArgType for PangoCoverage*
Could not write virtual accessor method PangoFont.get_glyph_extents: No ArgType for PangoGlyph
Could not write virtual proxy PangoFont.get_coverage: No ArgType for PangoCoverage*
Could not write virtual proxy PangoFont.find_shaper: No ArgType for guint32
Could not write virtual proxy PangoFont.get_glyph_extents: No ArgType for PangoGlyph
Could not write virtual accessor method PangoFontFace.list_sizes: No ArgType for int**
Could not write virtual proxy PangoFontFace.get_face_name: No ArgType for const-char*
Could not write virtual proxy PangoFontFace.list_sizes: No ArgType for int**
Could not write virtual accessor method PangoFontFamily.list_faces: No ArgType for PangoFontFace***
Could not write virtual proxy PangoFontFamily.list_faces: No ArgType for PangoFontFace***
Could not write virtual proxy PangoFontFamily.get_name: No ArgType for const-char*
Could not write virtual accessor method PangoFontMap.list_families: No ArgType for PangoFontFamily***
Could not write virtual proxy PangoFontMap.list_families: No ArgType for PangoFontFamily***
Could not write virtual accessor method PangoFontset.foreach: No ArgType for PangoFontsetForeachFunc
Could not write virtual proxy PangoFontset.foreach: No ArgType for PangoFontsetForeachFunc
Warning: generating old-style constructor for:pango_fontset_simple_new
Warning: generating old-style constructor for:pango_layout_new
Could not write method PangoLayout.get_lines: No ArgType for GSList*
Could not write method PangoLayout.get_lines_readonly: No ArgType for GSList*
Could not write method PangoRenderer.draw_glyph: No ArgType for PangoGlyph
Could not write virtual accessor method PangoRenderer.draw_shape: No ArgType for PangoAttrShape*
Could not write virtual accessor method PangoRenderer.draw_glyph: No ArgType for PangoGlyph
Could not write virtual accessor method PangoRenderer.prepare_run: No ArgType for PangoLayoutRun*
Could not write virtual proxy PangoRenderer.draw_shape: No ArgType for PangoAttrShape*
Could not write virtual proxy PangoRenderer.draw_glyph: No ArgType for PangoGlyph
Could not write virtual proxy PangoRenderer.prepare_run: No ArgType for PangoLayoutRun*
Could not write function attr_shape_new_with_data: No ArgType for const-PangoRectangle*
Could not write function find_paragraph_boundary: No ArgType for gint*
Could not write function get_log_attrs: No ArgType for PangoLogAttr*
Could not write function itemize: No ArgType for PangoAttrIterator*
Could not write function itemize_with_base_dir: No ArgType for PangoAttrIterator*
Could not write function reorder_items: No ArgType for GList*
Could not write function get_mirror_char: No ArgType for gunichar*
Could not write function extents_to_pixels: No ArgType for PangoRectangle*
Warning: Constructor for PangoFontsetSimple needs to be updated to new API
         See http://live.gnome.org/PyGTK_2fWhatsNew28#update-constructors
Warning: Constructor for PangoLayout needs to be updated to new API
         See http://live.gnome.org/PyGTK_2fWhatsNew28#update-constructors
***INFO*** The coverage of global functions is 83.67% (41/49)
***INFO*** The coverage of methods is 94.79% (182/192)
***INFO*** The coverage of virtual proxies is 58.62% (17/29)
***INFO*** The coverage of virtual accessors is 68.97% (20/29)
***INFO*** There are no declared interface proxies.
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gtk  -I/usr/lib64/python2.7/site-packages/numpy/core/include -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT pango_la-pango.lo -MD -MP -MF .deps/pango_la-pango.Tpo -c -o pango_la-pango.lo `test -f 'pango.c' || echo './'`pango.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I./gtk -I/usr/lib64/python2.7/site-packages/numpy/core/include -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT pango_la-pango.lo -MD -MP -MF .deps/pango_la-pango.Tpo -c pango.c  -fPIC -DPIC -o .libs/pango_la-pango.o
pango.override: 在函数‘_wrap_pango_parse_markup’中:
pango.override:1328:14: 警告:变量‘ret’被设定但未被使用 [-Wunused-but-set-variable]
     gboolean ret;
              ^
mv -f .deps/pango_la-pango.Tpo .deps/pango_la-pango.Plo
/bin/sh ./libtool --tag=CC   --mode=link gcc -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -module -avoid-version  -export-symbols-regex initpango  -o pango.la -rpath /usr/local/lib64/python2.7/site-packages/gtk-2.0 pango_la-pangomodule.lo pango_la-pango.lo -lpango-1.0 -lgobject-2.0 -lglib-2.0
libtool: link: /usr/bin/nm -B  .libs/pango_la-pangomodule.o .libs/pango_la-pango.o   | sed -n -e 's/^.*[         ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[         ][      ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | /usr/bin/sed 's/.* //' | sort | uniq > .libs/pango.exp
libtool: link: /usr/bin/grep -E -e "initpango" ".libs/pango.exp" > ".libs/pango.expT"
libtool: link: mv -f ".libs/pango.expT" ".libs/pango.exp"
libtool: link: echo "{ global:" > .libs/pango.ver
libtool: link:  cat .libs/pango.exp | sed -e "s/\(.*\)/\1;/" >> .libs/pango.ver
libtool: link:  echo "local: *; };" >> .libs/pango.ver
libtool: link:  gcc -shared  .libs/pango_la-pangomodule.o .libs/pango_la-pango.o   -lpango-1.0 -lgobject-2.0 -lglib-2.0  -pthread   -pthread -Wl,-soname -Wl,pango.so -Wl,-version-script -Wl,.libs/pango.ver -o .libs/pango.so
libtool: link: ( cd ".libs" && rm -f "pango.la" && ln -s "../pango.la" "pango.la" )
ln -s .libs/pango.so pango.so || true
make  all-recursive
make[1]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0”
Making all in .
make[2]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0”
make[2]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0”
Making all in examples
make[2]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/examples”
make[2]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/examples”
Making all in tests
make[2]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/tests”
make[2]: 对“all”无需做任何事。
make[2]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/tests”
Making all in docs
make[2]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/docs”
make  all-am
make[3]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/docs”
make[3]: 对“all-am”无需做任何事。
make[3]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/docs”
make[2]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/docs”
make[1]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0”

Version-Release number of selected component (if applicable):
pygtk 2.24.0

How reproducible:


Steps to Reproduce:
1.sudo yum install freetype-devel fontconfig-devel numpy libglade atk-devel pango-devel cairo-gobject-devel gdk-pixbuf2-devel libXi-devel at-spi2-atk-devel python3-gobject pygobject3-devel pygobject2-devel libpng-devel libxml libxml2-devel xorg-x11-fonts* gcc glibc-headers gcc-c++ at-spi-devel at-spi2-core-devel pango libxslt-devel bison flex sudo yum install orc-devel gstreamer-plugins-base-devel.x86_64 gstreamer-devel sonata
and istalled below depends from source pacages with sequence
glib->gtk+->libglade->pygtk
here is the address of the pacage i use for downloading :
http://pan.baidu.com/share/link?shareid=86859370&uk=353364615
2.cd to the folder where the configure file of pygtk locate
3.open a terminal and type make after finished ./configure

Actual results:
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gtk  -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT atk_la-atkmodule.lo -MD -MP -MF .deps/atk_la-atkmodule.Tpo -c -o atk_la-atkmodule.lo `test -f 'atkmodule.c' || echo './'`atkmodule.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I./gtk -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT atk_la-atkmodule.lo -MD -MP -MF .deps/atk_la-atkmodule.Tpo -c atkmodule.c  -fPIC -DPIC -o .libs/atk_la-atkmodule.o
mv -f .deps/atk_la-atkmodule.Tpo .deps/atk_la-atkmodule.Plo
(cd .\
 && /usr/bin/python /usr/share/pygobject/2.0/codegen/codegen.py \
    --py_ssize_t-clean \
    --register pango-types.defs \
    --register atk-types.defs \
    --register gtk/gtk-base-types.defs \
    --override atk.override \
    --prefix pyatk atk.defs) > ./gen-atk.c \
&& cp ./gen-atk.c ./atk.c \
&& rm -f ./gen-atk.c
Could not write method AtkObject.get_attributes: No ArgType for AtkAttributeSet*
Could not write method AtkObject.connect_property_change_handler: No ArgType for AtkPropertyChangeHandler*
Could not write method AtkObject.notify_state_change: No ArgType for AtkState
Could not write method AtkObject.initialize: No ArgType for gpointer
Could not write virtual accessor method AtkObject.get_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkObject.connect_property_change_handler: No ArgType for AtkPropertyChangeHandler*
Could not write virtual accessor method AtkObject.initialize: No ArgType for gpointer
Could not write virtual accessor method AtkObject.children_changed: No ArgType for gpointer
Could not write virtual accessor method AtkObject.property_change: No ArgType for AtkPropertyValues*
Could not write virtual accessor method AtkObject.active_descendant_changed: No ArgType for gpointer*
Could not write virtual proxy AtkObject.get_attributes: No ArgType for AtkAttributeSet*
Could not write virtual proxy AtkObject.connect_property_change_handler: No ArgType for AtkPropertyChangeHandler*
Could not write virtual proxy AtkObject.initialize: No ArgType for gpointer
Could not write virtual proxy AtkObject.children_changed: No ArgType for gpointer
Could not write virtual proxy AtkObject.property_change: No ArgType for AtkPropertyValues*
Could not write virtual proxy AtkObject.active_descendant_changed: No ArgType for gpointer*
Warning: generating old-style constructor for:atk_no_op_object_new
Could not write method AtkComponent.add_focus_handler: No ArgType for AtkFocusHandler
Could not write virtual accessor method AtkComponent.add_focus_handler: No ArgType for AtkFocusHandler
Could not write virtual accessor method AtkComponent.get_extents: No ArgType for gint*
Could not write virtual accessor method AtkComponent.get_position: No ArgType for gint*
Could not write virtual accessor method AtkComponent.get_size: No ArgType for gint*
Could not write interface proxy AtkComponent.add_focus_handler: No ArgType for AtkFocusHandler
Could not write interface proxy AtkComponent.get_extents: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkComponent.get_position: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkComponent.get_size: cannot use int* parameter with direction 'None'
Could not write method AtkDocument.get_document: No ArgType for gpointer
Could not write method AtkDocument.get_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkDocument.get_document: No ArgType for gpointer
Could not write virtual accessor method AtkDocument.get_document_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkDocument.get_document_attribute_value: No ArgType for G_CONST_RETURNgchar*
Could not write interface proxy AtkDocument.get_document: No ArgType for gpointer
Could not write interface proxy AtkDocument.get_document_attributes: No ArgType for AtkAttributeSet*
Could not write interface proxy AtkDocument.get_document_attribute_value: No ArgType for G_CONST_RETURNgchar*
Could not write virtual accessor method AtkEditableText.set_run_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkEditableText.insert_text: No ArgType for gint*
Could not write interface proxy AtkEditableText.set_run_attributes: No ArgType for AtkAttributeSet*
Could not write interface proxy AtkEditableText.insert_text: cannot use int* parameter with direction 'None'
Could not write virtual accessor method AtkImage.get_image_position: No ArgType for gint*
Could not write virtual accessor method AtkImage.get_image_size: No ArgType for gint*
Could not write interface proxy AtkImage.get_image_position: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkImage.get_image_size: cannot use int* parameter with direction 'None'
Could not write method AtkStreamableContent.get_stream: No ArgType for GIOChannel*
Could not write virtual accessor method AtkStreamableContent.get_stream: No ArgType for GIOChannel*
Could not write virtual accessor method AtkStreamableContent.get_uri: No ArgType for G_CONST_RETURNgchar*
Could not write interface proxy AtkStreamableContent.get_stream: No ArgType for GIOChannel*
Could not write interface proxy AtkStreamableContent.get_uri: No ArgType for G_CONST_RETURNgchar*
Could not write virtual accessor method AtkTable.get_selected_columns: No ArgType for gint**
Could not write virtual accessor method AtkTable.get_selected_rows: No ArgType for gint**
Could not write interface proxy AtkTable.get_selected_columns: No ArgType for gint**
Could not write interface proxy AtkTable.get_selected_rows: No ArgType for gint**
Could not write virtual accessor method AtkText.get_text_after_offset: No ArgType for gint*
Could not write virtual accessor method AtkText.get_text_at_offset: No ArgType for gint*
Could not write virtual accessor method AtkText.get_text_before_offset: No ArgType for gint*
Could not write virtual accessor method AtkText.get_run_attributes: No ArgType for gint*
Could not write virtual accessor method AtkText.get_default_attributes: No ArgType for AtkAttributeSet*
Could not write virtual accessor method AtkText.get_character_extents: No ArgType for gint*
Could not write virtual accessor method AtkText.get_selection: No ArgType for gint*
Could not write virtual accessor method AtkText.get_range_extents: No ArgType for AtkTextRectangle*
Could not write virtual accessor method AtkText.get_bounded_ranges: No ArgType for AtkTextRectangle*
Could not write interface proxy AtkText.get_text_after_offset: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_text_at_offset: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_character_at_offset: No ArgType for gunichar
Could not write interface proxy AtkText.get_text_before_offset: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_run_attributes: No ArgType for AtkAttributeSet*
Could not write interface proxy AtkText.get_default_attributes: No ArgType for AtkAttributeSet*
Could not write interface proxy AtkText.get_character_extents: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_selection: cannot use int* parameter with direction 'None'
Could not write interface proxy AtkText.get_range_extents: No ArgType for AtkTextRectangle*
Could not write interface proxy AtkText.get_bounded_ranges: No ArgType for AtkTextRange**
Could not write method AtkValue.get_minimum_increment: No ArgType for GValue*
Could not write virtual accessor method AtkValue.get_current_value: No ArgType for GValue*
Could not write virtual accessor method AtkValue.get_maximum_value: No ArgType for GValue*
Could not write virtual accessor method AtkValue.get_minimum_value: No ArgType for GValue*
Could not write virtual accessor method AtkValue.set_current_value: No ArgType for const-GValue*
Could not write virtual accessor method AtkValue.get_minimum_increment: No ArgType for GValue*
Could not write interface proxy AtkValue.get_current_value: No ArgType for GValue*
Could not write interface proxy AtkValue.get_maximum_value: No ArgType for GValue*
Could not write interface proxy AtkValue.get_minimum_value: No ArgType for GValue*
Could not write interface proxy AtkValue.set_current_value: No ArgType for const-GValue*
Could not write interface proxy AtkValue.get_minimum_increment: No ArgType for GValue*
Could not write function add_focus_tracker: No ArgType for AtkEventListener
Could not write function focus_tracker_init: No ArgType for AtkEventListenerInit
Could not write function add_global_event_listener: No ArgType for GSignalEmissionHook
Could not write function add_key_event_listener: No ArgType for AtkKeySnoopFunc
Warning: Constructor for AtkNoOpObject needs to be updated to new API
         See http://live.gnome.org/PyGTK_2fWhatsNew28#update-constructors
Warning: Constructor for AtkRelation needs to be updated to new API
         See http://live.gnome.org/PyGTK_2fWhatsNew28#update-constructors
***INFO*** The coverage of global functions is 85.71% (24/28)
***INFO*** The coverage of methods is 94.48% (154/163)
***INFO*** The coverage of virtual proxies is 82.86% (29/35)
***INFO*** The coverage of virtual accessors is 77.27% (119/154)
***INFO*** The coverage of interface proxies is 74.79% (89/119)
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gtk  -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT atk_la-atk.lo -MD -MP -MF .deps/atk_la-atk.Tpo -c -o atk_la-atk.lo `test -f 'atk.c' || echo './'`atk.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I./gtk -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT atk_la-atk.lo -MD -MP -MF .deps/atk_la-atk.Tpo -c atk.c  -fPIC -DPIC -o .libs/atk_la-atk.o
atk.c: 在函数‘_wrap_atk_hyperlink_is_selected_link’中:
atk.c:457:5: 警告:不建议使用‘atk_hyperlink_is_selected_link’(声明于 /usr/include/atk-1.0/atk/atkhyperlink.h:102) [-Wdeprecated-declarations]
     ret = atk_hyperlink_is_selected_link(ATK_HYPERLINK(self->obj));
     ^
atk.c: 在函数‘_wrap_atk_object_get_layer’中:
atk.c:1478:5: 警告:不建议使用‘atk_object_get_layer’(声明于 /usr/include/atk-1.0/atk/atkobject.h:578):Use 'atk_component_get_layer' instead [-Wdeprecated-declarations]
     ret = atk_object_get_layer(ATK_OBJECT(self->obj));
     ^
atk.c: 在函数‘_wrap_atk_object_get_mdi_zorder’中:
atk.c:1489:5: 警告:不建议使用‘atk_object_get_mdi_zorder’(声明于 /usr/include/atk-1.0/atk/atkobject.h:580):Use 'atk_component_get_mdi_zorder' instead [-Wdeprecated-declarations]
     ret = atk_object_get_mdi_zorder(ATK_OBJECT(self->obj));
     ^
atk.c: 在函数‘_wrap_atk_streamable_content_get_uri’中:
atk.c:10263:9: 警告:assignment discards ‘const’ qualifier from pointer target type [默认启用]
     ret = atk_streamable_content_get_uri(ATK_STREAMABLE_CONTENT(self->obj), mime_type);
         ^
mv -f .deps/atk_la-atk.Tpo .deps/atk_la-atk.Plo
/bin/sh ./libtool --tag=CC   --mode=link gcc -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -module -avoid-version  -export-symbols-regex initatk  -o atk.la -rpath /usr/local/lib64/python2.7/site-packages/gtk-2.0 atk_la-atkmodule.lo atk_la-atk.lo -latk-1.0 -lgobject-2.0 -lglib-2.0
libtool: link: /usr/bin/nm -B  .libs/atk_la-atkmodule.o .libs/atk_la-atk.o   | sed -n -e 's/^.*[         ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[         ][      ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | /usr/bin/sed 's/.* //' | sort | uniq > .libs/atk.exp
libtool: link: /usr/bin/grep -E -e "initatk" ".libs/atk.exp" > ".libs/atk.expT"
libtool: link: mv -f ".libs/atk.expT" ".libs/atk.exp"
libtool: link: echo "{ global:" > .libs/atk.ver
libtool: link:  cat .libs/atk.exp | sed -e "s/\(.*\)/\1;/" >> .libs/atk.ver
libtool: link:  echo "local: *; };" >> .libs/atk.ver
libtool: link:  gcc -shared  .libs/atk_la-atkmodule.o .libs/atk_la-atk.o   -latk-1.0 -lgobject-2.0 -lglib-2.0    -Wl,-soname -Wl,atk.so -Wl,-version-script -Wl,.libs/atk.ver -o .libs/atk.so
libtool: link: ( cd ".libs" && rm -f "atk.la" && ln -s "../atk.la" "atk.la" )
ln -s .libs/atk.so atk.so || true
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gtk  -I/usr/lib64/python2.7/site-packages/numpy/core/include -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT pango_la-pangomodule.lo -MD -MP -MF .deps/pango_la-pangomodule.Tpo -c -o pango_la-pangomodule.lo `test -f 'pangomodule.c' || echo './'`pangomodule.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I./gtk -I/usr/lib64/python2.7/site-packages/numpy/core/include -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT pango_la-pangomodule.lo -MD -MP -MF .deps/pango_la-pangomodule.Tpo -c pangomodule.c  -fPIC -DPIC -o .libs/pango_la-pangomodule.o
mv -f .deps/pango_la-pangomodule.Tpo .deps/pango_la-pangomodule.Plo
(cd .\
 && /usr/bin/python /usr/share/pygobject/2.0/codegen/codegen.py \
    --py_ssize_t-clean \
    --register pango-types.defs \
    --register atk-types.defs \
    --register gtk/gtk-base-types.defs \
    --override pango.override \
    --prefix pypango pango.defs) > ./gen-pango.c \
&& cp ./gen-pango.c ./pango.c \
&& rm -f ./gen-pango.c
Could not write getter for PangoGlyphString.glyphs: No ArgType for PangoGlyphInfo*
Could not write getter for PangoGlyphString.log_clusters: No ArgType for gint*
Could not write getter for PangoItem.analysis_extra_attrs: No ArgType for GSList*
Could not write method PangoLayoutIter.get_run: No ArgType for PangoLayoutRun*
Could not write method PangoLayoutIter.get_run_readonly: No ArgType for PangoLayoutRun*
Could not write method PangoLayoutLine.get_x_ranges: No ArgType for int**
Could not write method PangoMatrix.transform_point: No ArgType for double*
Could not write method PangoMatrix.transform_distance: No ArgType for double*
Could not write method PangoMatrix.transform_rectangle: No ArgType for PangoRectangle*
Could not write method PangoMatrix.transform_pixel_rectangle: No ArgType for PangoRectangle*
Could not write virtual accessor method PangoFont.get_coverage: No ArgType for PangoCoverage*
Could not write virtual accessor method PangoFont.get_glyph_extents: No ArgType for PangoGlyph
Could not write virtual proxy PangoFont.get_coverage: No ArgType for PangoCoverage*
Could not write virtual proxy PangoFont.find_shaper: No ArgType for guint32
Could not write virtual proxy PangoFont.get_glyph_extents: No ArgType for PangoGlyph
Could not write virtual accessor method PangoFontFace.list_sizes: No ArgType for int**
Could not write virtual proxy PangoFontFace.get_face_name: No ArgType for const-char*
Could not write virtual proxy PangoFontFace.list_sizes: No ArgType for int**
Could not write virtual accessor method PangoFontFamily.list_faces: No ArgType for PangoFontFace***
Could not write virtual proxy PangoFontFamily.list_faces: No ArgType for PangoFontFace***
Could not write virtual proxy PangoFontFamily.get_name: No ArgType for const-char*
Could not write virtual accessor method PangoFontMap.list_families: No ArgType for PangoFontFamily***
Could not write virtual proxy PangoFontMap.list_families: No ArgType for PangoFontFamily***
Could not write virtual accessor method PangoFontset.foreach: No ArgType for PangoFontsetForeachFunc
Could not write virtual proxy PangoFontset.foreach: No ArgType for PangoFontsetForeachFunc
Warning: generating old-style constructor for:pango_fontset_simple_new
Warning: generating old-style constructor for:pango_layout_new
Could not write method PangoLayout.get_lines: No ArgType for GSList*
Could not write method PangoLayout.get_lines_readonly: No ArgType for GSList*
Could not write method PangoRenderer.draw_glyph: No ArgType for PangoGlyph
Could not write virtual accessor method PangoRenderer.draw_shape: No ArgType for PangoAttrShape*
Could not write virtual accessor method PangoRenderer.draw_glyph: No ArgType for PangoGlyph
Could not write virtual accessor method PangoRenderer.prepare_run: No ArgType for PangoLayoutRun*
Could not write virtual proxy PangoRenderer.draw_shape: No ArgType for PangoAttrShape*
Could not write virtual proxy PangoRenderer.draw_glyph: No ArgType for PangoGlyph
Could not write virtual proxy PangoRenderer.prepare_run: No ArgType for PangoLayoutRun*
Could not write function attr_shape_new_with_data: No ArgType for const-PangoRectangle*
Could not write function find_paragraph_boundary: No ArgType for gint*
Could not write function get_log_attrs: No ArgType for PangoLogAttr*
Could not write function itemize: No ArgType for PangoAttrIterator*
Could not write function itemize_with_base_dir: No ArgType for PangoAttrIterator*
Could not write function reorder_items: No ArgType for GList*
Could not write function get_mirror_char: No ArgType for gunichar*
Could not write function extents_to_pixels: No ArgType for PangoRectangle*
Warning: Constructor for PangoFontsetSimple needs to be updated to new API
         See http://live.gnome.org/PyGTK_2fWhatsNew28#update-constructors
Warning: Constructor for PangoLayout needs to be updated to new API
         See http://live.gnome.org/PyGTK_2fWhatsNew28#update-constructors
***INFO*** The coverage of global functions is 83.67% (41/49)
***INFO*** The coverage of methods is 94.79% (182/192)
***INFO*** The coverage of virtual proxies is 58.62% (17/29)
***INFO*** The coverage of virtual accessors is 68.97% (20/29)
***INFO*** There are no declared interface proxies.
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gtk  -I/usr/lib64/python2.7/site-packages/numpy/core/include -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT pango_la-pango.lo -MD -MP -MF .deps/pango_la-pango.Tpo -c -o pango_la-pango.lo `test -f 'pango.c' || echo './'`pango.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I/usr/include/python2.7 -I/usr/include/python2.7 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I./gtk -I/usr/lib64/python2.7/site-packages/numpy/core/include -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -g -O2 -Wall -fno-strict-aliasing -std=c9x -MT pango_la-pango.lo -MD -MP -MF .deps/pango_la-pango.Tpo -c pango.c  -fPIC -DPIC -o .libs/pango_la-pango.o
pango.override: 在函数‘_wrap_pango_parse_markup’中:
pango.override:1328:14: 警告:变量‘ret’被设定但未被使用 [-Wunused-but-set-variable]
     gboolean ret;
              ^
mv -f .deps/pango_la-pango.Tpo .deps/pango_la-pango.Plo
/bin/sh ./libtool --tag=CC   --mode=link gcc -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -g -O2 -Wall -fno-strict-aliasing -std=c9x -module -avoid-version  -export-symbols-regex initpango  -o pango.la -rpath /usr/local/lib64/python2.7/site-packages/gtk-2.0 pango_la-pangomodule.lo pango_la-pango.lo -lpango-1.0 -lgobject-2.0 -lglib-2.0
libtool: link: /usr/bin/nm -B  .libs/pango_la-pangomodule.o .libs/pango_la-pango.o   | sed -n -e 's/^.*[         ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[         ][      ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | /usr/bin/sed 's/.* //' | sort | uniq > .libs/pango.exp
libtool: link: /usr/bin/grep -E -e "initpango" ".libs/pango.exp" > ".libs/pango.expT"
libtool: link: mv -f ".libs/pango.expT" ".libs/pango.exp"
libtool: link: echo "{ global:" > .libs/pango.ver
libtool: link:  cat .libs/pango.exp | sed -e "s/\(.*\)/\1;/" >> .libs/pango.ver
libtool: link:  echo "local: *; };" >> .libs/pango.ver
libtool: link:  gcc -shared  .libs/pango_la-pangomodule.o .libs/pango_la-pango.o   -lpango-1.0 -lgobject-2.0 -lglib-2.0  -pthread   -pthread -Wl,-soname -Wl,pango.so -Wl,-version-script -Wl,.libs/pango.ver -o .libs/pango.so
libtool: link: ( cd ".libs" && rm -f "pango.la" && ln -s "../pango.la" "pango.la" )
ln -s .libs/pango.so pango.so || true
make  all-recursive
make[1]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0”
Making all in .
make[2]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0”
make[2]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0”
Making all in examples
make[2]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/examples”
make[2]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/examples”
Making all in tests
make[2]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/tests”
make[2]: 对“all”无需做任何事。
make[2]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/tests”
Making all in docs
make[2]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/docs”
make  all-am
make[3]: 进入目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/docs”
make[3]: 对“all-am”无需做任何事。
make[3]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/docs”
make[2]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0/docs”
make[1]: 离开目录“/home/cc/下载/Deepinmusic/Depends/pygtk_2.24.0.orig/pygtk-2.24.0”

Expected results:
without any "could not write" text during make  

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2014-12-06 10:43:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2014-12-06 12:16:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jaroslav Reznik 2015-03-03 09:59:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:17:35 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.